function jsRightAudio(){

};

/*设置播放器区域内容*/
jsRightAudio.onLaodAudioUI=function(){
    var arrString=[];
    var marginValue=App.ieMargin();
    var menuHeight=document.body.clientHeight-marginValue-590;//74
    arrString.push('<div class="div-left-menu;" style="height:'+menuHeight+';background-color:#ffffff;">');
    arrString.push('<table id="tbAudio" cellpadding="2" cellspacing="1" style="background-color:#ffffff; margin:0px;width:100%">');
    arrString.push("<tr><td>"); 
    arrString.push("<fieldset>");
    arrString.push("<legend>播放设备</legend>");
    arrString.push('<input id="rdoPC" type="radio" name="audioType" /><span>电脑播放</span>');
    arrString.push('<input id="rdoTel" type="radio" name="audioType" checked="true"/><span>话机播放</span>');
    arrString.push("</fieldset>");
    arrString.push("</td></tr>");
    arrString.push('<tr><td><object id="IKEAudio" name="IKEAudio" classid="clsid:E356F0A9-CC99-4054-8162-330D9C3AC827" codebase="../../jsHelper/audio/IKEAudioPlayer.ocx#version=1,0,0,0" width="180px" height="260px" hspace="0" vspace="0"> </object>');
    arrString.push("</td></tr>");   
    arrString.push("</table></div>");
    document.getElementById("audioCondition").innerHTML=arrString.join("");

    arrString.length=0;
    arrString=null;
    CollectGarbage();
};

/*播放录音*/
jsRightAudio.Play=function(SpeechFileName)
{
    try
    {
        var IKEAudio=document.getElementById("IKEAudio");
        var PlayMode=null;
        if(document.getElementById("rdoPC").checked==true)
        {
            PlayMode=AudioHelper.PlayMode.PC;
        }
        else if(document.getElementById("rdoTel").checked==true)
        {
            PlayMode=AudioHelper.PlayMode.Tel;
        }
        AudioHelper.PlayLocal(IKEAudio,SpeechFileName,PlayMode);
        IKEAudio=null;
        PlayMode=null;
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};
/*
停止播放
*/
jsRightAudio.StopPlay=function(isLocalPlay)
{
    try
    {
        /*传入参数，是否为播放本地文件*/
        AudioHelper.OnAudioSyncStop(isLocalPlay);
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};